> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Vector Store

> Create a new vector store.



## OpenAPI

````yaml /development/api-reference/openapi.json post /api/v1/vector_stores
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/vector_stores:
    post:
      tags:
        - vector_stores
      summary: Create Vector Store
      description: Create a new vector store.
      operationId: create_vector_store_api_v1_vector_stores_post
      parameters:
        - name: context_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Context Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateVectorStoreRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/agentstack_server__api__schema__common__EntityModel____class_getitem_____locals___ModelOutput__16
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    CreateVectorStoreRequest:
      properties:
        name:
          type: string
          title: Name
          description: Name of the vector store
        dimension:
          type: integer
          title: Dimension
          description: Dimension of the vectors to be stored
        model_id:
          type: string
          title: Model Id
      type: object
      required:
        - name
        - dimension
        - model_id
      title: CreateVectorStoreRequest
      description: Request to create a new vector store.
    agentstack_server__api__schema__common__EntityModel____class_getitem_____locals___ModelOutput__16:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        model_id:
          type: string
          title: Model Id
        dimension:
          type: integer
          exclusiveMaximum: 10000
          exclusiveMinimum: 0
          title: Dimension
        created_at:
          type: string
          format: date-time
          title: Created At
        last_active_at:
          type: string
          format: date-time
          title: Last Active At
        created_by:
          type: string
          format: uuid
          title: Created By
        stats:
          anyOf:
            - $ref: '#/components/schemas/VectorStoreStats'
            - type: 'null'
        context_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Context Id
      type: object
      required:
        - id
        - model_id
        - dimension
        - created_by
      title: VectorStoreResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VectorStoreStats:
      properties:
        usage_bytes:
          type: integer
          title: Usage Bytes
        num_documents:
          type: integer
          title: Num Documents
      type: object
      required:
        - usage_bytes
        - num_documents
      title: VectorStoreStats
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````